## CamelIMAPXLogger

CamelIMAPXLogger — Log input/output streams

## Functions

GConverter * | camel_imapx_logger_new ()
gchar | camel_imapx_logger_get_prefix ()

## Properties

char | prefix | Read / Write / Construct Only
CamelIMAPXServer * | server | Read / Write / Construct Only

## Types and Values

struct | CamelIMAPXLogger

## Object Hierarchy

        GObject
        ╰── CamelIMAPXLogger

## Implemented Interfaces

CamelIMAPXLogger implements GConverter.

## Includes

    #include <camel-imapx-logger.h>

## Description

CamelIMAPXLogger is a simple GConverter that just echos data to standard output if the I/O debugging setting is enabled ('CAMEL_DEBUG=imapx:io'). Attaches to the GInputStream and GOutputStream.

## Functions

### camel_imapx_logger_new ()

    GConverter *
    camel_imapx_logger_new (gchar prefix,
                            CamelIMAPXServer *server);

Creates a new CamelIMAPXLogger. Each output line generated by the logger will have a prefix string that includes the `prefix` character to distinguish it from other active loggers.

The `server` can hint to discard logging for certain commands.

#### Parameters

prefix | a prefix character |
server | a CamelIMAPXServer, or `NULL`. | [nullable]

#### Returns

a CamelIMAPXLogger

Since: 3.12

### camel_imapx_logger_get_prefix ()

    gchar
    camel_imapx_logger_get_prefix (CamelIMAPXLogger *logger);

Returns the prefix character passed to `camel_imapx_logger_new()`.

#### Parameters

logger | a CamelIMAPXLogger |

#### Returns

the prefix character

Since: 3.12

## Types and Values

### struct CamelIMAPXLogger

    struct CamelIMAPXLogger;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.12

## Property Details

### The `“prefix”` property

      “prefix”                   char

Output prefix to distinguish connections.

Owner: CamelIMAPXLogger

Flags: Read / Write / Construct Only

Allowed values: >= 32

Default value: 42

### The `“server”` property

      “server”                   CamelIMAPXServer *

Owner: CamelIMAPXLogger

Flags: Read / Write / Construct Only